
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>java中的静态代码块、构造代码块、构造方法详解_java / iVAN</title>

    <meta name="description" content="java中的静态代码块、构造代码块、构造方法详解_java 运行下面这段代码,观察其结果: package com.test; public class HelloB extends HelloA { public HelloB() { } { System.out.println(&quot;I'm B class&quot;); } static { System.out.println(&quot;static B&quot;); } public static void main(String[] args) { new HelloB(); }  ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">java中的静态代码块、构造代码块、构造方法详解_java</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>运行下面这段代码，观察其结果：<br /></strong></p>
<pre>
package com.test;

public class HelloB extends HelloA {

  public HelloB() {
  }

  {
    System.out.println("I'm B class");
  }

  static {
    System.out.println("static B");
  }

  public static void main(String[] args) {
    new HelloB();
  }
}

class HelloA {

  public HelloA() {
  }

  {
    System.out.println("I'm A class");
  }

  static {
    System.out.println("static A");
  }

}</pre>
<p><strong>结果如下：</strong></p>
<pre>
static A
static B
I'm A class
I'm B class</pre>
<p><strong>解析：</strong></p>
<p>1.静态代码块：是在类的加载过程的第三步初始化的时候进行的，主要目的是给类变量赋予初始值。</p>
<p>2.构造代码块：是独立的，必须依附载体才能运行，Java会把构造代码块放到每种构造方法的前面，用于实例化一些共有的实例变量，减少代码量。</p>
<p>3.构造方法：用于实例化变量。</p>
<p><strong>总结：</strong></p>
<p>1是类级别的，2、3是实例级别的，所以1要优先2、3.</p>
<p>它们的执行顺序是1&gt;2&gt;3;</p>
<p>以上这篇java中的静态代码块、构造代码块、构造方法详解就是小编分享给大家的全部内容了，希望能给大家一个参考，也希望大家多多支持。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索java<br />
                    ，                构造<br />
                    ，                静态代码块<br />
                                    构造代码块<br />
                                    java静态构造函数、java 静态构造方法、java 静态类 构造函数、java 静态构造、java静态内部类详解，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-20 16:18:26</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/java/" title="java">java</a>, <a href="https://www.iamivan.net/tag/%e9%9d%99%e6%80%81%e4%bb%a3%e7%a0%81%e5%9d%97/" title="静态代码块">静态代码块</a>, <a href="https://www.iamivan.net/tag/%e6%9e%84%e9%80%a0/" title="构造">构造</a>, <a href="https://www.iamivan.net/tag/%e6%9e%84%e9%80%a0%e4%bb%a3%e7%a0%81%e5%9d%97/" title="构造代码块">构造代码块</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>java中的静态代码块、构造代码块、构造方法详解_java的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5NwRqz.html" rel="bookmark">Eclipse中改变默认的workspace的方法及说明详解&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				eclipse中改变默然的workspace的方法可以有以下几种: 1.在创建project的时候,手动选择使用新的workspace,如创建一个web project,在向导中的Location选项,取消使用&quot;Use default location&quot;,同时在下面选择新的workspace. 2.在file菜单中选择switch workspace项,即可选择一个新的workspace 3.在eclipse安装目录下configuration/.settings目录下的 org.ec			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyW2xlz.html" rel="bookmark">Java的MyBatis框架中关键的XML字段映射的配置参数详解&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				properties这些是外部化的,可替代的属性,这些属性也可以配置在典型的Java属性配置文件中,或者通过properties元素的子元素来传递.例如: &lt;properties resource=&quot;org/mybatis/example/config.properties&quot;&gt; &lt;property name=&quot;username&quot; value=&quot;dev_user&quot;/&gt; &lt;property name=&quot;pass			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwKXkmz.html" rel="bookmark">java全角、半角字符的关系以及转换详解&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如果搞明白了Java中全角字符和半角字符之间的关系 那他们之间的转换根本就不是个事. 全角字符与半角字符的关系 可以通过下面的程序看看Java中所有字符以及对应编码的值 复制代码 代码如下:     public static void main(String[] args) {        for (int i = Character.MIN_VALUE; i &lt;= Character.MAX_VALUE; ++i) {            System.out.println(i + &qu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8YGL3z.html" rel="bookmark">Java Spring Controller 获取请求参数的几种方法详解&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java Spring Controller 获取请求参数的几种方法  1.直接把表单的参数写在Controller相应的方法的形参中,适用于get方式提交,不适用于post方式提交.若&quot;Content-Type&quot;=&quot;application/x-www-form-urlencoded&quot;,可用post提交        url形式:http://localhost:8080/SSMDemo/demo/addUser1?username=lixiaoxi&amp;pas			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOmq8RM.html" rel="bookmark">C&num;和Java中执行SQL文件脚本的代码&lpar;非常有用&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:C#和Java中执行SQL文件脚本的代码(非常有用) 我们在做程序的时候有事后会涉及到利用sql文件 直接执行,可是在sql文件中有很多注释,我们要一句一句的执行首先必须的得把sql文件解析 去除其中的注释,还有把每一句sql语句取出来,然后再利用各个平台中的数据库相关执行它.   接下来放代码! java版本的 001 package com.zz; 002   003 import java.io.*; 004 import java.util.ArrayList; 005 impor			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8GykZM.html" rel="bookmark">java中Struts2文件上传问题详解&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先是网页部分,upload_file.jsp &lt;%@ page language=&quot;java&quot; import=&quot;java.util.*&quot; pageEncoding=&quot;UTF-8&quot;%&gt; &lt;!DOCTYPE HTML&gt; &lt;html&gt; &lt;head&gt; &lt;title&gt;Upload File&lt;/title&gt; &lt;/head&gt; &lt;body&gt; &lt;form act			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyvZdJp.html" rel="bookmark">在java中， 如何将含多个文件的gzip解压？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 在java中,如何将含多个文件的gzip解压? 解决方案 解决方案二:不懂就要学,LZ我学你..			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlmVoap.html" rel="bookmark">Java 8 新特性终极版指南详解&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言: Java 8已经公布有一段时间了,种种迹象表明Java 8是一个有重大改变的发行版.在Java Code Geeks上已经有很多介绍Java 8新特性的文章,例如Playing with Java 8 – Lambdas and Concurrency.Java 8 Date Time API Tutorial : LocalDateTime和Abstract Class Versus Interface in the JDK 8 Era.本文还参考了一些其他资料,例如:15 Must			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNvx8NM.html" rel="bookmark">js中使用使用原型&lpar;prototype&rpar;定义方法的好处详解&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				经常在前端面试或是和其他同行沟通是,在谈到构造在JS定义构造函数的方法是最好使用原型的方式:将方法定义到构造方法的prototype上,这样的好处是,通过该构造函数生成的实例所拥有的方法都是指向一个函数的索引,这样可以节省内存. 当然,这种说法没有任何问题,只是在实现上,并非只有使用prototype的方式才能达到这样的效果,我们可以将方法以函数的形式定义在构造函数之外,然后在构造函数中通过this.method = method的方式,这样生成的实例的方法也都通过索引指向一个函数,具体如下:			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lpdldmp.html" rel="bookmark" class="title">Javascript实例教程&lpar;14&rpar; 鼠标触发窗口</a>
					<div>
						javascript|教程 利用javascript产生鼠标移过时弹出窗口 本节教程将介绍当鼠标移过图片的时候弹出一个窗口的设计.这个弹出的窗口是一个标准的网页,你可以设置它的大小. 首先在网页的He ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPd6Ap.html" rel="bookmark" class="title">Oracle性能调优实践中的几点心得</a>
					<div>
						oracle|心得|性能        很多的时侯,做Oracle DBA的我们,当应用管理员向我们通告现在应用很慢.数据库很慢的时侯,我们到数据库时做几个示例的Select也发现同样的问题时,有些时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVn3a4z.html" rel="bookmark" class="title">巧借&OpenCurlyDoubleQuote;名称&rdquo;，在WPS表格中建立多级下拉列表</a>
					<div>
						在WPS表格中为了方便规范数据的录入,我们经常会在相应的单元格中提供下拉列表以便选择录入.但如果需要建立多级下拉列表,那又该如何处理呢? 在某学校设有高一.高二.高三共三个级部,每个级部的分别有十个左 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1E2D9M.html" rel="bookmark" class="title">Win7如何查看电脑使用记录</a>
					<div>
						  一.查看电脑开关机的时间 1.有时候,我们为了防止别人运用自己的电脑,会设置好密码这些.但是,有时候电脑一旦没有设置密码的情况下,想知道是否有人运用过我们电脑时,那么我们是可以通过时间段来区分出是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6eQ2Yb.html" rel="bookmark" class="title">金山清理大师有哪些功能？</a>
					<div>
						  金山清理大师,它清理系统缓存.应用缓存和残留文件,节省出更多存储 空间.比业内同类软件清理垃圾至少多30%! 金山电脑清理是一款高效的垃圾清理软件,软件提取自金山毒霸,金山电脑清理是金山重磅出击而 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGywDb.html" rel="bookmark" class="title">教你如何恢复相机已删除的相片</a>
					<div>
						  如果不小心把储存卡内的相片删除了怎么办? 我想很多朋友也遇过这个问题,其实&quot;删除&quot;了的相片并不是真正把资料移除,而只是在index的区域mark了那段记忆体可以写入资料罢了,所 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My31yZz.html" rel="bookmark" class="title">谷歌发布强大AI芯片和超算 要转型硬件制造商？</a>
					<div>
						5月18日消息,据technologyreview报道,如果说人工智能(AI)能够迅速蚕食掉软件,那么谷歌可能拥有最大的胃口.在今年的I/O开发者大会上,谷歌发布了更为强大的芯片和以机器学习为基础的超 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrOa6M.html" rel="bookmark" class="title">ipad&comma;iphone启动图片命名</a>
					<div>
						Default-Portrait.png iPad专用竖向启动画面 768x1024或者768x1004 2 Default-Landscape.png iPad专用横向启动画面 1024x768或者 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRGkjz.html" rel="bookmark" class="title">web service-java调用wsdl接口报空指针</a>
					<div>
						问题描述 java调用wsdl接口报空指针 AxisFault faultCode: {http://schemas.xmlsoap.org/soap/envelope/}Server faultSu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0QwR7p.html" rel="bookmark" class="title">深入Jetty源码之Servlet框架及实现&lpar;Servlet、Filter、Registration&rpar;</a>
					<div>
						概述 Servlet是Server Applet的缩写,即在服务器端运行的小程序,而Servlet框架则是对HTTP服务器(Servlet Container)和用户小程序中间层的标准化和抽象.这一层 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6NPZXM.html" rel="bookmark" class="title">linux ftp命令参数全集</a>
					<div>
						linux ftp命令参数是我们常用的服务器控制手段.那么我们现在就来介绍一些linux ftp命令参数.希望能帮助大家快速查阅,这些命令都是常用的,肯定会对您有所帮助.以下是linux ftp命令参 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgROg8b.html" rel="bookmark" class="title">MySQL数据库学习笔记（一）----MySQL 5&period;6&period;21的安装和配置（setup版）</a>
					<div>
						[正文] [开发环境] 物理机版本:Win 7旗舰版(64位) MySQL版本:5.5.40MSI版(64位) 一.数据库类型: (1)关系数据库 (2)面向对象数据库 (3)XML数据库 现在的主流 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5J5xM.html" rel="bookmark" class="title">360回应木马混入合法软件通过认证：将严打</a>
					<div>
						3月24日上午消息,针对昨日央视&lt;经济与法&gt;栏目曝光的木马病毒通过360认证,盗取支付宝账户信息一事,360安全卫士官方微博发布360公司回应称,被曝光病毒是通过混入正常软件,然后提交安全 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0RJXmz.html" rel="bookmark" class="title">解决移动SIM卡不兼容 苹果iOS 5&period;1正式发布</a>
					<div>
						北京时间2012年3月8日凌晨2点,全球瞩目的苹果发布会在旧金山芳草地艺术中心如期召开了,在发布会上苹果的新掌舵人提姆库克除了为我们带来了 全新的iPad之外,我们还收获了全新的iOS5.1系统,尽管 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBRL0b.html" rel="bookmark" class="title">关于Python漏洞挖掘那些不得不提的事儿</a>
					<div>
						前言 Python因其在开发更大.更复杂应用程序方面独特的便捷性,使得它在计算机环境中变得越来越不可或缺.虽然其明显的语言清晰度和使用友好度使得软件工程师和系统管理员放下了戒备,但是他们的编码错误还是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAGa1b.html" rel="bookmark" class="title">盘点2014被用烂的那些营销词</a>
					<div>
						导读:大家都喜欢谈论数据.在信息时代,大数据呈指数级增长,激发了市场的想象力.但是虽然前途无限,就现阶段来讲,开明的市场营销人员知道大数据的份额十分小,而面对的挑战却相当大,有梦想固然好,但是大数据要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNljxM.html" rel="bookmark" class="title">sicp 2&period;3小结习题尝试解答</a>
					<div>
						 习题2.2没有全部做,我读书的速度远远超过做习题的进度,没办法,时间有限,晚上的时间基本用来看书了,习题也都是在工作间隙做的,慢慢来了,前两章读完再总结下.回到2.3节,这一节在前几节介绍数值型符号 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnBGNM.html" rel="bookmark" class="title">EXCEL导出数据</a>
					<div>
						问题描述 下面这段代码感觉有问题,但是看不出来ImportsSystem.Data.OleDbImportsMicrosoft.Office.InteropPublicClassFrmExportEx ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXoNQb.html" rel="bookmark" class="title">17&period;5W秒级交易峰值下的混合云弹性架构之路</a>
					<div>
						前言 每年的双11都是一个全球狂欢的节日,随着每年交易逐年创造奇迹的背后,按照传统的方式,我们的成本也在逐年上升.双11当天的秒级交易峰值平时的近10多倍,我们要用3-4倍的机器去支撑.但大促过后这批 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0yoWp.html" rel="bookmark" class="title">IIS6惊现WebDAV 漏洞攻击</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 美国计算机紧急反应组近日透露,上周 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Q56XM.html" rel="bookmark" class="title">AngularJS 避繁就简的路由&lowbar;AngularJS</a>
					<div>
						AngularJS 路由允许我们通过不同的 URL 访问不同的内容. 通过 AngularJS 可以实现多视图的单页Web应用(single page web application,SPA). 通常 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6gdwM.html" rel="bookmark" class="title">使用openssl实现rsa非对称加密算法示例&lowbar;php实例</a>
					<div>
						复制代码 代码如下: &lt;?php/** * 使用openssl实现非对称加密 * @since 2010-07-08 */class Rsa{    /**     * private key  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2AY5z.html" rel="bookmark" class="title">AS2与AS3版本的Flash全屏控制</a>
					<div>
						 如何实现Flash Player 9 Update 2的全屏控制,我将给出2个版本,第一个版本是AS2的,第二个版本是AS3的,有趣的是,很多会写AS2的朋友,都很难写出AS3版本的,可能还是很难适 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK0WVOM.html" rel="bookmark" class="title">《Drupal实战》&mdash;&mdash;2&period;3　为图书添加对应的字段</a>
					<div>
						2.3 为图书添加对应的字段 现在让我们进入本章的正题,为图书添加对应的字段.一本图书有多少个字段?我听一个专业的朋友说过,按照国际标准,有上百个甚至上千个字段,我们不可能把这所有的字段都包含进来,那 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYBd76p.html" rel="bookmark" class="title">物流信息化领跑者 唯智信息助力制造业转型升级</a>
					<div>
						本文讲的是 :  物流信息化领跑者 唯智信息助力制造业转型升级  ,[IT168 资讯]近年来,随着&quot;互联网+&quot;的发展,以及&quot;中国制造2025&quot;.&quot;一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5O9PRb.html" rel="bookmark" class="title">丁道师：移动互联网加速站长群体消亡</a>
					<div>
						在5月11日举行的中国站长大会(今年升级为了中国互联网创业者大会)已经结束几天,今天终于收拾下心情有时间来写一些东西.本届大会依然由Discuz! 举办,今年是大会的第8年年头.我本人一直认为,站长大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEQjBZb.html" rel="bookmark" class="title">【LeetCode从零单排】No189&Tab;&period;Rotate Array</a>
					<div>
						题目 Rotate an array of n elements to the right by k steps. For example, with n = 7 and k = 3, the arr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ3P66b.html" rel="bookmark" class="title">关于一个vs2005的编译的问题&period;找了很多资料不知道怎么解决&period;请高人指点</a>
					<div>
						问题描述 我先在vs2005中新建一个网站,然后在一个默认页面上添加了一个控件.启动编译运行.使用的是vs自带的编译工具.asp.netdevelopmentserver.IE里面显示一切正常.然后关 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5WolBb.html" rel="bookmark" class="title">PHP设计模式&mdash;&mdash;原型模式</a>
					<div>
						     声明:本系列博客参考资料&lt;大话设计模式&gt;,作者程杰.        用原型实例指定创建对象的种类,并且通过拷贝这些原型创建新的对象.Prototype模式允许一个对象再创建另外一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My20PJp.html" rel="bookmark" class="title">乐视超级手机乐1跑分评测&colon;GPU狂飙5万</a>
					<div>
						乐视手机跑分帝:GPU增强 狂飙5万 乐1所支持的像素级显示以及拍照方面的快速对焦还有慢视频,其实都离不开这颗芯片的硬件支持.并且它还支持120Hz的动态影像显示技术,多媒体方面则是支持每秒30帧影片 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
